Holger's Java API

## com.antelmann.genealogy.db
Class GPersonStore

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<GPerson>
          com.antelmann.genealogy.db.GPersonStore

All Implemented Interfaces:
  DBClassStore<GPerson>, ProcessedFilterOption<GPerson>, TransactionRequired, ProcessorHook<GPerson,DatabaseException>, Wrapped<DBClassStore<GPerson>>

    public class GPersonStore

extends WrappedDBClassStore<GPerson>

Since:
  31.12.2014, 21:40:54
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`GPersonStore(Database<Connection> db, IDFactory idFactory)`

Method Summary
`static DBClassStore<GPerson.Header>` `createHeaderStore(Database<Connection> db)`

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPersonStore

    public GPersonStore(Database<Connection> db,
                        IDFactory idFactory)
                 throws DatabaseException

Throws:
  `DatabaseException`

Method Detail

### createHeaderStore

    public static DBClassStore<GPerson.Header> createHeaderStore(Database<Connection> db)
                                                          throws DatabaseException

  Throws:
    `DatabaseException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads